Subject: quick help with bonding?

From: "Chris Friesen" <[email-masked]>
Date: Thu, 29 Mar 2007 10:14:40 -0600

I"m doing some experimenting with a new network driver that receives 
jumbo frames into multiple separate pages that are then joined together 
in a single sk_buff using skb_fill_page_desc().

It behaved fairly well with standard networking, but its behaving 
strangely with bonding added to the mix.

Could someone either point me to the bonding high level design document 
(couldn't find one at the sourceforge project page) or else give me a 
quick overview of the code path followed by an incoming packet when 
bonding is involved?

Thanks,

Chris Friesen